Bug 1731858 - Review Request: python2-pytest - Simple powerful testing with Python 2
Summary: Review Request: python2-pytest - Simple powerful testing with Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Viktorin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 08:33 UTC by Miro Hrončok
Modified: 2019-08-06 13:32 UTC (History)
2 users (show)

Fixed In Version: python2-pytest-4.4.1-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:32:47 UTC
pviktori: fedora-review+


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-22 08:33:17 UTC
Spec URL: https://churchyard.fedorapeople.org/SRPMS/python2-pytest.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python2-pytest-4.4.1-3.fc31.src.rpm
Description: py.test provides simple, yet powerful testing for Python 2.
Fedora Account System Username: churchyard

Comment 1 Petr Viktorin 2019-07-22 14:42:50 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable


Issues:
=======
- A package with this name already exists. Please check
  https://src.fedoraproject.org/rpms/python2-pytest

  Please use this review for the unretirement procedure, if you wish.


- rpmlint complains:
  python2-pytest.noarch: E: non-readable /usr/lib/python2.7/site-packages/_pytest/__pycache__/pytester.cpython-27-PYTEST.pyc 600

  It would be good to just remove PYTEST.pyc bytecode generated in %check.


- I expect introduction into Fedora will be coordinated with pytest's
  dropping of python2-pytest, so conflicts will be handled.


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 403 files have unknown
     license. Detailed output of licensecheck in
     /home/pviktori/1731858-python2-pytest/licensecheck.txt
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
     (I expect this will be coordinated with pytest.)
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
     (The latest Python2 compatible version, at least!)
[X]: Package does not include license text files separate from upstream.
[X]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
     (Some tests are skipped with justification in the spec)
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pytest-4.4.1-3.fc31.noarch.rpm
          python2-pytest-4.4.1-3.fc31.src.rpm
python2-pytest.noarch: W: invalid-url URL: https://pytest.org <urlopen error [Errno 111] Connection refused>
    (Temporary failure)
python2-pytest.noarch: W: no-documentation
    (There docs are online)
python2-pytest.noarch: E: non-readable /usr/lib/python2.7/site-packages/_pytest/__pycache__/pytester.cpython-27-PYTEST.pyc 600
python2-pytest.noarch: W: no-manual-page-for-binary py.test-2
python2-pytest.noarch: W: no-manual-page-for-binary py.test-2.7
python2-pytest.noarch: W: no-manual-page-for-binary pytest-2
python2-pytest.noarch: W: no-manual-page-for-binary pytest-2.7
    (No man pages available upstream)
python2-pytest.src: W: invalid-url URL: https://pytest.org <urlopen error [Errno 111] Connection refused>
    (Temporary failure)
2 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
python2-pytest.noarch: W: invalid-url URL: https://pytest.org <urlopen error [Errno -2] Name or service not known>
    (Temporary failure)
python2-pytest.noarch: W: no-documentation
    (There docs are online)
python2-pytest.noarch: E: non-readable /usr/lib/python2.7/site-packages/_pytest/__pycache__/pytester.cpython-27-PYTEST.pyc 600
python2-pytest.noarch: W: no-manual-page-for-binary py.test-2
python2-pytest.noarch: W: no-manual-page-for-binary py.test-2.7
python2-pytest.noarch: W: no-manual-page-for-binary pytest-2
python2-pytest.noarch: W: no-manual-page-for-binary pytest-2.7
    (No man pages available upstream)
1 packages and 0 specfiles checked; 1 errors, 6 warnings.



Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/pytest/pytest-4.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : b7802283b70ca24d7119b32915efa7c409982f59913c1a6c0640aacf118b95f5
  CHECKSUM(SHA256) upstream package : b7802283b70ca24d7119b32915efa7c409982f59913c1a6c0640aacf118b95f5


Requires
--------
python2-pytest (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python2.7dist(atomicwrites)
    python2.7dist(attrs)
    python2.7dist(funcsigs)
    python2.7dist(more-itertools)
    python2.7dist(pathlib2)
    python2.7dist(pluggy)
    python2.7dist(py)
    python2.7dist(setuptools)
    python2.7dist(six)



Provides
--------
python2-pytest:
    python2-pytest
    python2.7dist(pytest)
    python2dist(pytest)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1731858
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, Python
Disabled plugins: C/C++, fonts, Haskell, R, Perl, PHP, Ocaml, SugarActivity, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Petr Viktorin 2019-07-22 14:46:10 UTC
APPROVED for un-retirement.

Make sure to follow the rest of https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Retired_Package, and please take a look at the PYTEST.pyc nitpick.

Comment 3 Miro Hrončok 2019-07-22 14:58:25 UTC
https://pagure.io/releng/issue/8548

Comment 4 Miro Hrončok 2019-07-22 15:04:08 UTC
Thanks for the review.

        %check
        # Metafunc tests use python2-hypothesis, which forms a dependency
        # cycle with pytest.
added > PYTHONDONTWRITEBYTECODE=1 \
        PATH=%{buildroot}%{_bindir}:${PATH} \
        PYTHONPATH=%{buildroot}%{python2_sitelib} \
          %{buildroot}%{_bindir}/pytest-%{python2_version} -r s testing \
          --ignore testing/python/metafunc.py


Note You need to log in before you can comment on or make changes to this bug.